Patchwork [1/1] insserv: enable ptest support

login
register
mail settings
Submitter Chong.Lu@windriver.com
Date Feb. 20, 2014, 10:55 a.m.
Message ID <8cfb36c4026790ca4a9848945a1b21429b6c434a.1392893636.git.Chong.Lu@windriver.com>
Download mbox | patch
Permalink /patch/67053/
State Accepted
Commit dffa543035e66b5b67afbdff64ebba5772cfb1af
Headers show

Comments

Chong.Lu@windriver.com - Feb. 20, 2014, 10:55 a.m.
Install insserv test suite and run it as ptest.

Signed-off-by: Chong Lu <Chong.Lu@windriver.com>
---
 meta/recipes-devtools/insserv/files/run-ptest   | 17 +++++++++++++++++
 meta/recipes-devtools/insserv/insserv_1.14.0.bb | 14 +++++++++++++-
 2 files changed, 30 insertions(+), 1 deletion(-)
 create mode 100644 meta/recipes-devtools/insserv/files/run-ptest

Patch

diff --git a/meta/recipes-devtools/insserv/files/run-ptest b/meta/recipes-devtools/insserv/files/run-ptest
new file mode 100644
index 0000000..495d155
--- /dev/null
+++ b/meta/recipes-devtools/insserv/files/run-ptest
@@ -0,0 +1,17 @@ 
+#!/bin/sh
+
+basedir=$(dirname $0)
+. $basedir/common
+
+output() {
+  if [ $? -eq 0 ]; \
+    then echo "PASS: $i"; \
+    else echo "FAIL: $i"; \
+  fi;
+}
+
+for i in test_simple_sequence test_undetected_loop; \
+  do $i &>/dev/null ; output; \
+done
+
+rm -rf ${tmpdir}
diff --git a/meta/recipes-devtools/insserv/insserv_1.14.0.bb b/meta/recipes-devtools/insserv/insserv_1.14.0.bb
index 1d1f59d..4a33e16 100644
--- a/meta/recipes-devtools/insserv/insserv_1.14.0.bb
+++ b/meta/recipes-devtools/insserv/insserv_1.14.0.bb
@@ -11,7 +11,9 @@  PR = "r1"
 SRC_URI = "ftp://ftp.suse.com/pub/projects/init/${BPN}-${PV}.tar.bz2 \
            file://makefile.patch \
            file://disable_runtests.patch \
-           file://insserv.conf"
+           file://insserv.conf \
+           file://run-ptest \
+"
 
 SRC_URI[md5sum] = "4a97d900855148842b1aa8f33b988b47"
 SRC_URI[sha256sum] = "89a0a093b1cf3d802ad40568e64b496b493f51ff9825905c8bd12738b374ca47"
@@ -27,3 +29,13 @@  do_install_class-native () {
 }
 
 BBCLASSEXTEND = "native"
+
+inherit ptest
+
+do_install_ptest() {
+	for i in common suite; do cp ${S}/tests/$i ${D}${PTEST_PATH}; done
+	sed -e 's|${\PWD}/insserv|insserv|;/trap/d' -i ${D}${PTEST_PATH}/suite
+	sed -e '/test_simple_sequence$/d;/test_undetected_loop$/d' -i ${D}${PTEST_PATH}/common
+}
+
+RDEPENDS_${PN}-ptest += "bash"